Agora RTC Objective-C API Reference Refactor

Properties
AgoraEncodedVideoFrameInfo Class Reference

Inherits <NSObject>.

## Properties
AgoraVideoCodecType | codecType
NSInteger | width
NSInteger | height
NSInteger | framesPerSecond
AgoraVideoFrameType | frameType
NSInteger | rotation
NSInteger | trackId
NSInteger | captureTimeMs
NSInteger | decodeTimeMs
NSInteger | uid
AgoraVideoStreamType | streamType

## Detailed Description

The configurations for the audio encoded freame.

## Property Documentation

## ◆ codecType

- (AgoraVideoCodecType) codecType
| readwritenonatomicassign

The video codec: #VIDEO_CODEC_TYPE.

## ◆ width

- (NSInteger) width
| readwritenonatomicassign

The width (px) of the video.

## ◆ height

- (NSInteger) height
| readwritenonatomicassign

The height (px) of the video.

## ◆ framesPerSecond

- (NSInteger) framesPerSecond
| readwritenonatomicassign

The number of video frames per second. This value will be used for calculating timestamps of the encoded image. If framesPerSecond equals zero, then real timestamp will be used. Otherwise, timestamp will be adjusted to the value of framesPerSecond set.

## ◆ frameType

- (AgoraVideoFrameType) frameType
| readwritenonatomicassign

The frame type of the encoded video frame: #VIDEO_FRAME_TYPE.

## ◆ rotation

- (NSInteger) rotation
| readwritenonatomicassign

The rotation information of the encoded video frame: #VIDEO_ORIENTATION.

## ◆ trackId

- (NSInteger) trackId
| readwritenonatomicassign

The track ID of the video frame.

## ◆ captureTimeMs

- (NSInteger) captureTimeMs
| readwritenonatomicassign

This is a input parameter which means the timestamp for capturing the video.

## ◆ decodeTimeMs

- (NSInteger) decodeTimeMs
| readwritenonatomicassign

This is a output parameter which means the timestamp for decoding the video.

## ◆ uid

- (NSInteger) uid
| readwritenonatomicassign

ID of the user.

## ◆ streamType

- (AgoraVideoStreamType) streamType
| readwritenonatomicassign

The stream type of video frame.